QGIS Application - Bug report #17123
Adding WMS/WFS/WCS layers through the browser ignores service specific settings
2017-09-12 08:02 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:2.18.12 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25022
Description

The WFS/WMS/WCS providers have a number of service specific settings exposed through their connection properties (such as the
options to invert the axis, smooth pixmap transforms, set wfs version, etc).

While these are respected when a layer is added via the provider's source select dialog, they are not considered when the same layer is
added through the browser.

History

#1 - 2017-09-12 08:53 AM - Giovanni Manghi

Master not affacted?

#2 - 2017-09-12 09:08 AM - Nyall Dawson

Yes - this affects all supported versions (and isn't a regression)

#3 - 2018-05-31 04:29 PM - Even Rouault
- Status changed from Open to Feedback

I've just tried with WFS and the WFS version is propagated when the layer is added via the browser. So perhaps something has been fixed in that area ?

#4 - 2018-08-15 07:35 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Closing for lack of feedback.
